Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.ScrollPaneActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.ScrollPaneActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.ScrollPaneActions extends Object
From BasicScrollPaneUI.Actions

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SCROLL_DOWN`
`static final String`
`SCROLL_END`
`static final String`
`SCROLL_HOME`
`static final String`
`SCROLL_LEFT`
`static final String`
`SCROLL_RIGHT`
`static final String`
`SCROLL_UP`
`static final String`
`UNIT_SCROLL_DOWN`
`static final String`
`UNIT_SCROLL_LEFT`
`static final String`
`UNIT_SCROLL_RIGHT`
`static final String`
`UNIT_SCROLL_UP`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ScrollPaneActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCROLL_UP

public static final String SCROLL_UP

See Also:
  - Constant Field Values

### SCROLL_DOWN

public static final String SCROLL_DOWN

See Also:
  - Constant Field Values

### SCROLL_HOME

public static final String SCROLL_HOME

See Also:
  - Constant Field Values

### SCROLL_END

public static final String SCROLL_END

See Also:
  - Constant Field Values

### UNIT_SCROLL_UP

public static final String UNIT_SCROLL_UP

See Also:
  - Constant Field Values

### UNIT_SCROLL_DOWN

public static final String UNIT_SCROLL_DOWN

See Also:
  - Constant Field Values

### SCROLL_LEFT

public static final String SCROLL_LEFT

See Also:
  - Constant Field Values

### SCROLL_RIGHT

public static final String SCROLL_RIGHT

See Also:
  - Constant Field Values

### UNIT_SCROLL_LEFT

public static final String UNIT_SCROLL_LEFT

See Also:
  - Constant Field Values

### UNIT_SCROLL_RIGHT

public static final String UNIT_SCROLL_RIGHT

See Also:
  - Constant Field Values

## Constructor Details

### ScrollPaneActions

protected ScrollPaneActions()